libzypp: zypp::ZYppCommitPolicy::Impl Class Reference

libzypp 17.38.6

zypp::ZYppCommitPolicy::Impl Class Reference

## Public Member Functions
| Impl ()

## Public Attributes
unsigned | _restrictToMedia
DownloadMode | _downloadMode
target::rpm::RpmInstFlags | _rpmInstFlags
bool | _syncPoolAfterCommit
bool | _singleTransMode
bool | _notifyBSC1189788 = true

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

Definition at line 110 of file ZYppCommitPolicy.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::ZYppCommitPolicy::Impl::Impl | ( |  | ) |
| inline

Definition at line 113 of file ZYppCommitPolicy.cc.

## Member Function Documentation

## ◆ clone()

Impl * zypp::ZYppCommitPolicy::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 133 of file ZYppCommitPolicy.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _restrictToMedia

unsigned zypp::ZYppCommitPolicy::Impl::_restrictToMedia

Definition at line 122 of file ZYppCommitPolicy.cc.

## ◆ _downloadMode

DownloadMode zypp::ZYppCommitPolicy::Impl::_downloadMode

Definition at line 123 of file ZYppCommitPolicy.cc.

## ◆ _rpmInstFlags

target::rpm::RpmInstFlags zypp::ZYppCommitPolicy::Impl::_rpmInstFlags

Definition at line 124 of file ZYppCommitPolicy.cc.

## ◆ _syncPoolAfterCommit

bool zypp::ZYppCommitPolicy::Impl::_syncPoolAfterCommit

Definition at line 125 of file ZYppCommitPolicy.cc.

## ◆ _singleTransMode

bool zypp::ZYppCommitPolicy::Impl::_singleTransMode

Definition at line 126 of file ZYppCommitPolicy.cc.

## ◆ _notifyBSC1189788

bool zypp::ZYppCommitPolicy::Impl::_notifyBSC1189788 = true
| mutable

Definition at line 128 of file ZYppCommitPolicy.cc.

The documentation for this class was generated from the following file:

- zypp/ZYppCommitPolicy.cc